/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.appconfig;

import org.tinygroup.xmlparser.node.XmlNode;

/**
 * 所有需要进行应用配置统一管理的类，都推荐实现此接口。
 * 通过此接口，可以由框架自动注入配置信息，且在配置进行刷新的时候，自动推送参数到应用，以便及时做出更新。
 * 
 * 
 * @author luoguo
 * 
 */
public interface AppConfig {
	/**
	 * 获取对应的节点名，指在父节点下的子节点
	 * 
	 * @return
	 */
	String getNodeName();

	/**
	 * 设置配置信息
	 * 
	 * @param xmlNode
	 */
	void setConfiguration(XmlNode xmlNode);

	/**
	 * 获取设置的配置信息，根据实际使用情况实现接口
	 * 
	 * @return
	 */
	XmlNode getConfiguration();
}
